package com.mvc.dao;

import com.mvc.entity.TStkoutDetail;
import com.mvc.entity.TStkoutDetailExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TStkoutDetailMapper {
    long countByExample(TStkoutDetailExample example);

    int deleteByExample(TStkoutDetailExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TStkoutDetail record);

    int insertSelective(TStkoutDetail record);

    List<TStkoutDetail> selectByExample(TStkoutDetailExample example);

    TStkoutDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TStkoutDetail record, @Param("example") TStkoutDetailExample example);

    int updateByExample(@Param("record") TStkoutDetail record, @Param("example") TStkoutDetailExample example);

    int updateByPrimaryKeySelective(TStkoutDetail record);

    int updateByPrimaryKey(TStkoutDetail record);
}